csSimpleRenderMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csSimpleRenderMesh Struct Reference

A simple render mesh. More...

`#include <ivideo/graph3d.h>`

List of all members.

## Public Attributes
csAlphaMode | alphaType
| (Optional) Alpha mode. Defaults to "autodetect".
const csVector4 * | colors
| (Optional) Colors.
iShaderVariableContext * | dynDomain
| (Optional) Shader variable context.
uint | indexCount
| (optional) Number of vertex indices
const uint * | indices
| (optional) Vertex indices.
csRenderMeshType | meshtype
| Type of the geometry to draw.
uint | mixmode
| (Optional) Mix mode. Defaults to CS_FX_COPY.
csReversibleTransform | object2world
| (Optional) Transform to apply to the mesh.
csRef< csRenderBufferHolder > | renderBuffers
| (Optional) Buffer holder with all vertex buffers.
iShader * | shader
| (Optional) Shader to use.
const csVector2 * | texcoords
| (Optional) Texture coordinates.
iTextureHandle * | texture
| (Optional) Handle to the texture to select.
uint | vertexCount
| Number of vertices.
const csVector3 * | vertices
| Vertices.
csZBufMode | z_buf_mode
| (Optional) Z buffer mode. Defaults to CS_ZBUF_NONE.
uint | indexStart
| (optional) Range of indices to draw.
uint | indexEnd
| (optional) Range of indices to draw.

## Detailed Description

A simple render mesh.

Definition at line 640 of file graph3d.h.

## Member Data Documentation

csAlphaMode csSimpleRenderMesh::alphaType

(Optional) Alpha mode. Defaults to "autodetect".

Definition at line 691 of file graph3d.h.

const csVector4* csSimpleRenderMesh::colors

(Optional) Colors.

Leaving this 0 has the same effect as having all vertex colors set to white.

Definition at line 679 of file graph3d.h.

iShaderVariableContext* csSimpleRenderMesh::dynDomain

(Optional) Shader variable context.

Definition at line 689 of file graph3d.h.

uint csSimpleRenderMesh::indexCount

(optional) Number of vertex indices

Definition at line 646 of file graph3d.h.

uint csSimpleRenderMesh::indexEnd

(optional) Range of indices to draw.

If indexStart < indexEnd, this range is used. Otherwise, the default range (0..indexCount or all vertices) is used.

Definition at line 661 of file graph3d.h.

uint csSimpleRenderMesh::indexStart

(optional) Range of indices to draw.

If indexStart < indexEnd, this range is used. Otherwise, the default range (0..indexCount or all vertices) is used.

Definition at line 661 of file graph3d.h.

const uint* csSimpleRenderMesh::indices

(optional) Vertex indices.

If this field is 0, vertexCount indices are generated with the values 0 to vertexCount -1. indexCount is ignored in that case. In other words, not specifying indices assumes all vertices are in order and only used once.

Definition at line 654 of file graph3d.h.

csRenderMeshType csSimpleRenderMesh::meshtype

Type of the geometry to draw.

Definition at line 643 of file graph3d.h.

uint csSimpleRenderMesh::mixmode

(Optional) Mix mode. Defaults to CS_FX_COPY.

Definition at line 695 of file graph3d.h.

csReversibleTransform csSimpleRenderMesh::object2world

(Optional) Transform to apply to the mesh.

Remarks:
  This transform is initialized to an identity transform. This effectively means that geometry is drawn in world space. To draw in screen space, supply the csSimpleMeshScreenspace flag to DrawSimpleMesh(). For anything else supply an appropriate transformation.
  Keep in mind that the renderer's world-to-camera transform is in effect, too.

Definition at line 706 of file graph3d.h.

csRef<csRenderBufferHolder> csSimpleRenderMesh::renderBuffers

(Optional) Buffer holder with all vertex buffers.

Definition at line 708 of file graph3d.h.

iShader* csSimpleRenderMesh::shader

(Optional) Shader to use.

Definition at line 687 of file graph3d.h.

const csVector2* csSimpleRenderMesh::texcoords

(Optional) Texture coordinates.

Definition at line 673 of file graph3d.h.

iTextureHandle* csSimpleRenderMesh::texture

(Optional) Handle to the texture to select.

Leaving this 0 has the same effect as using a white texture.

Definition at line 684 of file graph3d.h.

uint csSimpleRenderMesh::vertexCount

Number of vertices.

Definition at line 665 of file graph3d.h.

const csVector3* csSimpleRenderMesh::vertices

Vertices.

Note: you can omit vertices or texcoords, however this will likely only give useable results if you provide a shader and shader var context (and transfer vertices and/or texcoords with SVs.)

Definition at line 671 of file graph3d.h.

csZBufMode csSimpleRenderMesh::z_buf_mode

(Optional) Z buffer mode. Defaults to CS_ZBUF_NONE.

Definition at line 693 of file graph3d.h.

The documentation for this struct was generated from the following file:

- ivideo/graph3d.h